Summary:      Open Sound Control library
Name:         liblo
Version:      0.23
Release:      1
License:      GPL
Group:        System Environment/Libraries
URL:          http://liblo.sourceforge.net
Source0:      http://www.ecs.soton.ac.uk/~njh/liblo/%{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

BuildRequires: gcc-c++ doxygen

%description
liblo is an implementation of the Open Sound Control protocol for
POSIX systems developed by Steve Harris.

%package devel
Summary:  Libraries, includes, etc to develop liblo applications
Group:    Development/Libraries
Requires: liblo = %{version}-%{release}

%description devel
Libraries, include files, etc you can use to develop liblo 
based Open Sound Control applications.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# install man pages by hand
%{__mkdir} -p %{buildroot}%{_mandir}/man3/
%{__install} -m 0664 doc/man/man3/*.3 %{buildroot}%{_mandir}/man3/

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%doc doc/html doc/latex
%{_libdir}/liblo.so.*

%files devel
%defattr(-,root,root)
%exclude %{_libdir}/liblo.la
%{_libdir}/liblo.so
%{_includedir}/lo
%{_libdir}/pkgconfig/liblo.pc
%{_mandir}/man3/*

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Updated to 0.23

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild and update for StartCom Linux 4.0.x
